/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

var app = {
    // Application Constructor
    initialize: function() {
        document.addEventListener('deviceready', this.onDeviceReady.bind(this), false);
    },

    // deviceready Event Handler
    //
    // Bind any cordova events here. Common events are:
    // 'pause', 'resume', etc.
    onDeviceReady: function() {
        this.receivedEvent('deviceready');

		FCMPlugin.onTokenRefresh(function(token){
			console.log('TOKEN: '+token );
			document.getElementById('tokenFCM').value = token;
		});

			FCMPlugin.getToken(function(token){
				console.log('TOKEN: '+token);
				_TokenFCM = token;
        document.getElementById('tokenFCM').value = token;
			});

		FCMPlugin.onNotification(function(data) {
			if(data.wasTapped) {
			  //Notification was received on device tray and tapped by the user.
			  console.log(JSON.stringify(data));
			}else{
			  //Notification was received in foreground. Maybe the user needs to be notified.
			  console.log(JSON.stringify(data));
			}
		});

		FCMPlugin.subscribeToTopic('FaturaCel');

			var db =  openDatabase('minhafaturacs', '1.0', 'Banco de dados', 2 * 1024 * 1024);
			db.transaction(function(tx) {
				tx.executeSql('CREATE TABLE IF NOT EXISTS  "login" ("id"  INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,"nome"  TEXT,"empresa"  TEXT,"celular"  INTEGER)');
				selecionar();
			});



			function logar(){

				mainView.router.loadPage('home.html');
			}

			function selecionar(){
				db.transaction(function (txn) {
				  txn.executeSql("SELECT * FROM login WHERE id = 1;  ", [], function (tx, res) {
					//console.log(res.rows.item(0).empresa);
					  NomeEmpresa = res.rows.item(0).empresa;
					  NomeCliente = res.rows.item(0).nome;
					  TelefoneCliente = res.rows.item(0).celular;
					  $('#header .empresa').html(NomeEmpresa);
					  $('#header .cliente').html(NomeCliente+' ('+TelefoneCliente+')');

					  if(NomeEmpresa!='' && NomeCliente!='' && TelefoneCliente!=''){
						logar();
					  }else{
						  console.log('Erro Entrada Empresa:  '+NomeEmpresa);
						  console.log('Erro Entrada Cliente:  '+NomeCliente);
						  console.log('Erro Entrada Telefone:  '+TelefoneCliente);
					  }


				  });
				});

			}
		/*db.transaction(function (txn) {
		  txn.executeSql('CREATE TABLE IF NOT EXISTS  "login" ("id"  INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,"nome"  TEXT,"celular"  INTEGER);', [], function (tx, res) {
			//console.log(res.rows.item(0)); // {"answer": 42}
		  });
		});	*/
    },

    // Update DOM on a Received Event
    receivedEvent: function(id) {
        /*var parentElement = document.getElementById(id);
        var listeningElement = parentElement.querySelector('.listening');
        var receivedElement = parentElement.querySelector('.received');

        listeningElement.setAttribute('style', 'display:none;');
        receivedElement.setAttribute('style', 'display:block;');

        console.log('Received Event: ' + id);*/
    }
};

app.initialize();
